package com.philisense.www.pojos.entity;
import java.util.Date;

public class EbookArticle {

        private String  id;
        private String  articletitle;
        private int  articleclassid;
        private String  articleorigin;
        private String  articleoriginaddress;
        private String  articleauthor;
        private String  articleabstract;
        private String  articlecontent;
        private String  articleimage;
        private String  articlekeyword;
        private String  articlelink;
        private String  articlegoods;
        private Date  articlestarttime;
        private Date  articleendtime;
        private Date  articlepublishtime;
        private int  articleclick;
        private int  articlesort;
        private int  articlecommendflag;
        private int  articlecommentflag;
        private String  articleverifyadmin;
        private Date  articleverifytime;
        private int  articlestate;
        private String  articlepublishername;
        private int  articlepublisherid;
        private int  articletype;
        private String  articleattachmentpath;
        private String  articleimageall;
        private Date  articlemodifytime;
        private String  articletag;
        private int  articlecommentcount;
        private int  articleattitude1;
        private int  articleattitude2;
        private int  articleattitude3;
        private int  articleattitude4;
        private int  articleattitude5;
        private int  articleattitude6;
        private String  articletitleshort;
        private int  articleattitudeflag;
        private int  articlecommendimageflag;
        private int  articlesharecount;
        private String  articleverifyreason;
        private String  articleclassname;
        private int  articledisplay;
        private int  articleagreecount;
        private String  articletitlelink;

        public String  getId() {
        return id;
        }

        public void setId(String  id) {
        this.id = id;
        }
        public String  getArticletitle() {
        return articletitle;
        }

        public void setArticletitle(String  articletitle) {
        this.articletitle = articletitle;
        }
        public int  getArticleclassid() {
        return articleclassid;
        }

        public void setArticleclassid(int  articleclassid) {
        this.articleclassid = articleclassid;
        }
        public String  getArticleorigin() {
        return articleorigin;
        }

        public void setArticleorigin(String  articleorigin) {
        this.articleorigin = articleorigin;
        }
        public String  getArticleoriginaddress() {
        return articleoriginaddress;
        }

        public void setArticleoriginaddress(String  articleoriginaddress) {
        this.articleoriginaddress = articleoriginaddress;
        }
        public String  getArticleauthor() {
        return articleauthor;
        }

        public void setArticleauthor(String  articleauthor) {
        this.articleauthor = articleauthor;
        }
        public String  getArticleabstract() {
        return articleabstract;
        }

        public void setArticleabstract(String  articleabstract) {
        this.articleabstract = articleabstract;
        }
        public String  getArticlecontent() {
        return articlecontent;
        }

        public void setArticlecontent(String  articlecontent) {
        this.articlecontent = articlecontent;
        }
        public String  getArticleimage() {
        return articleimage;
        }

        public void setArticleimage(String  articleimage) {
        this.articleimage = articleimage;
        }
        public String  getArticlekeyword() {
        return articlekeyword;
        }

        public void setArticlekeyword(String  articlekeyword) {
        this.articlekeyword = articlekeyword;
        }
        public String  getArticlelink() {
        return articlelink;
        }

        public void setArticlelink(String  articlelink) {
        this.articlelink = articlelink;
        }
        public String  getArticlegoods() {
        return articlegoods;
        }

        public void setArticlegoods(String  articlegoods) {
        this.articlegoods = articlegoods;
        }
        public Date  getArticlestarttime() {
        return articlestarttime;
        }

        public void setArticlestarttime(Date  articlestarttime) {
        this.articlestarttime = articlestarttime;
        }
        public Date  getArticleendtime() {
        return articleendtime;
        }

        public void setArticleendtime(Date  articleendtime) {
        this.articleendtime = articleendtime;
        }
        public Date  getArticlepublishtime() {
        return articlepublishtime;
        }

        public void setArticlepublishtime(Date  articlepublishtime) {
        this.articlepublishtime = articlepublishtime;
        }
        public int  getArticleclick() {
        return articleclick;
        }

        public void setArticleclick(int  articleclick) {
        this.articleclick = articleclick;
        }
        public int  getArticlesort() {
        return articlesort;
        }

        public void setArticlesort(int  articlesort) {
        this.articlesort = articlesort;
        }
        public int  getArticlecommendflag() {
        return articlecommendflag;
        }

        public void setArticlecommendflag(int  articlecommendflag) {
        this.articlecommendflag = articlecommendflag;
        }
        public int  getArticlecommentflag() {
        return articlecommentflag;
        }

        public void setArticlecommentflag(int  articlecommentflag) {
        this.articlecommentflag = articlecommentflag;
        }
        public String  getArticleverifyadmin() {
        return articleverifyadmin;
        }

        public void setArticleverifyadmin(String  articleverifyadmin) {
        this.articleverifyadmin = articleverifyadmin;
        }
        public Date  getArticleverifytime() {
        return articleverifytime;
        }

        public void setArticleverifytime(Date  articleverifytime) {
        this.articleverifytime = articleverifytime;
        }
        public int  getArticlestate() {
        return articlestate;
        }

        public void setArticlestate(int  articlestate) {
        this.articlestate = articlestate;
        }
        public String  getArticlepublishername() {
        return articlepublishername;
        }

        public void setArticlepublishername(String  articlepublishername) {
        this.articlepublishername = articlepublishername;
        }
        public int  getArticlepublisherid() {
        return articlepublisherid;
        }

        public void setArticlepublisherid(int  articlepublisherid) {
        this.articlepublisherid = articlepublisherid;
        }
        public int  getArticletype() {
        return articletype;
        }

        public void setArticletype(int  articletype) {
        this.articletype = articletype;
        }
        public String  getArticleattachmentpath() {
        return articleattachmentpath;
        }

        public void setArticleattachmentpath(String  articleattachmentpath) {
        this.articleattachmentpath = articleattachmentpath;
        }
        public String  getArticleimageall() {
        return articleimageall;
        }

        public void setArticleimageall(String  articleimageall) {
        this.articleimageall = articleimageall;
        }
        public Date  getArticlemodifytime() {
        return articlemodifytime;
        }

        public void setArticlemodifytime(Date  articlemodifytime) {
        this.articlemodifytime = articlemodifytime;
        }
        public String  getArticletag() {
        return articletag;
        }

        public void setArticletag(String  articletag) {
        this.articletag = articletag;
        }
        public int  getArticlecommentcount() {
        return articlecommentcount;
        }

        public void setArticlecommentcount(int  articlecommentcount) {
        this.articlecommentcount = articlecommentcount;
        }
        public int  getArticleattitude1() {
        return articleattitude1;
        }

        public void setArticleattitude1(int  articleattitude1) {
        this.articleattitude1 = articleattitude1;
        }
        public int  getArticleattitude2() {
        return articleattitude2;
        }

        public void setArticleattitude2(int  articleattitude2) {
        this.articleattitude2 = articleattitude2;
        }
        public int  getArticleattitude3() {
        return articleattitude3;
        }

        public void setArticleattitude3(int  articleattitude3) {
        this.articleattitude3 = articleattitude3;
        }
        public int  getArticleattitude4() {
        return articleattitude4;
        }

        public void setArticleattitude4(int  articleattitude4) {
        this.articleattitude4 = articleattitude4;
        }
        public int  getArticleattitude5() {
        return articleattitude5;
        }

        public void setArticleattitude5(int  articleattitude5) {
        this.articleattitude5 = articleattitude5;
        }
        public int  getArticleattitude6() {
        return articleattitude6;
        }

        public void setArticleattitude6(int  articleattitude6) {
        this.articleattitude6 = articleattitude6;
        }
        public String  getArticletitleshort() {
        return articletitleshort;
        }

        public void setArticletitleshort(String  articletitleshort) {
        this.articletitleshort = articletitleshort;
        }
        public int  getArticleattitudeflag() {
        return articleattitudeflag;
        }

        public void setArticleattitudeflag(int  articleattitudeflag) {
        this.articleattitudeflag = articleattitudeflag;
        }
        public int  getArticlecommendimageflag() {
        return articlecommendimageflag;
        }

        public void setArticlecommendimageflag(int  articlecommendimageflag) {
        this.articlecommendimageflag = articlecommendimageflag;
        }
        public int  getArticlesharecount() {
        return articlesharecount;
        }

        public void setArticlesharecount(int  articlesharecount) {
        this.articlesharecount = articlesharecount;
        }
        public String  getArticleverifyreason() {
        return articleverifyreason;
        }

        public void setArticleverifyreason(String  articleverifyreason) {
        this.articleverifyreason = articleverifyreason;
        }
        public String  getArticleclassname() {
        return articleclassname;
        }

        public void setArticleclassname(String  articleclassname) {
        this.articleclassname = articleclassname;
        }
        public int  getArticledisplay() {
        return articledisplay;
        }

        public void setArticledisplay(int  articledisplay) {
        this.articledisplay = articledisplay;
        }
        public int  getArticleagreecount() {
        return articleagreecount;
        }

        public void setArticleagreecount(int  articleagreecount) {
        this.articleagreecount = articleagreecount;
        }
        public String  getArticletitlelink() {
        return articletitlelink;
        }

        public void setArticletitlelink(String  articletitlelink) {
        this.articletitlelink = articletitlelink;
        }



}